DROP TABLE SONGS;

CREATE TABLE SONGS (
	SONG_ID		NUMBER,
	CD_ID		NUMBER,
	SONG_TITLE 	VARCHAR2(100),
	COMPOSER	VARCHAR2(100),
	LENGTH		NUMBER,
	TRACK		NUMBER,
	ARTIST	VARCHAR2(100),
	ALBUM_TITLE	VARCHAR2(100),
	CONSTRAINT SONGS_PK PRIMARY KEY (SONG_ID),
	CONSTRAINT SONGS_FK_CD_COLLECTION
		FOREIGN KEY (CD_ID)
		REFERENCES CD_COLLECTION(CD_ID)
		ON DELETE CASCADE
);

CREATE SEQUENCE SONG_ID_SEQUENCE;


