CREATE FUNCTION DISPLAY_NAME
  (IN_GIVEN_NAME VARCHAR2,
   IN_SURNAME VARCHAR2,
   IN_LOCALE VARCHAR2)
  RETURN VARCHAR2
  AS
    NAME VARCHAR2(65);
    V_SURNAME_FIRST CHAR(1);
BEGIN

  SELECT SURNAME_FIRST
       INTO V_SURNAME_FIRST
     FROM SURNAME_ORDER
       WHERE LOCALE=IN_LOCALE;

  IF V_SURNAME_FIRST='T' THEN
     NAME := IN_SURNAME||' '||IN_GIVEN_NAME;
  ELSE
     NAME := IN_GIVEN_NAME||' '||IN_SURNAME;
  END IF;

  RETURN NAME;
END;
/
