import java.sql.*;

public class Triangle {
static Connection conn = null;
static String testval="Two";
static boolean isLocal=false;

  public static void main(String [] args) 
  {
    try
    {
      DriverManager.registerDriver(new oracle.jdbc.OracleDriver());
      conn = DriverManager.getConnection(
               "jdbc:oracle:thin:@noizmaker:1521:osiris",
               "david", "bigcat");
      isLocal = true;               
      getArea(testval);   
    }
    catch(SQLException e)
    {
      System.out.println("Caught " + e);
    }
  }

  public static double getArea(String label)
  {
    double area = 0;
    ResultSet rs = null;
    Statement stmt = null;
    
    try
    {
      if(conn==null)
      {
        conn = DriverManager.getConnection("jdbc:default:connection:");
      }
      stmt = conn.createStatement();
      String sql = "SELECT " +
                   "T.TRIANGLE.PT_A.X, T.TRIANGLE.PT_A.Y," +
                   "T.TRIANGLE.PT_B.X, T.TRIANGLE.PT_B.Y," +                   
                   "T.TRIANGLE.PT_C.X, T.TRIANGLE.PT_C.Y " +                   
                   "FROM TRIANGLES T WHERE LABEL ='" +
                   label +"'";
   
      rs = stmt.executeQuery(sql);

      if(rs.next())
      {
        double ax, ay, bx, by, cx, cy;
        double a, b, c;

        ax = rs.getDouble(1);
        ay = rs.getDouble(2);
        bx = rs.getDouble(3);
        by = rs.getDouble(4);
        cx = rs.getDouble(5);
        cy = rs.getDouble(6);

        a = getLength(ax, ay, bx, by);
        b = getLength(bx, by, cx, cy);        
        c = getLength(cx, cy, ax, ay);

        /* Calculate area using Heron's  formula */
        double s = (a + b +c)/2; // perimeter/2
        area = Math.sqrt(s * (s - a) * (s - b) * (s - c));
        System.out.println("Area: " + area);
      }
      rs.close();
      stmt.close();
      if(isLocal)
      {
        conn.close();
      }
    }
    catch(SQLException e)
    {
       System.out.println("Caught " + e);     
    }
    return area;
  }
  
  static double getLength(double ax,  double ay, double bx, double by)
  {
   return Math.sqrt(Math.pow((ax-bx),2) + Math.pow((ay-by),2)); 
  }

}
/*
javac Triangle.java
loadjava -v -u tritest/tritest Triangle.class
*/



/* 
SQL> CREATE OR REPLACE FUNCTION FTEST
  2  RETURN NUMBER
  3  AS LANGUAGE JAVA
  4  NAME 'MyShapes.getNum() return double';
  5  /

Function created.
*/

