import java.sql.*;

public class Triangle9i {
static Connection conn = null;
static String testval="Two";
static boolean isLocal=false;

  public static void main(String [] args) 
  {
    try
    {
      DriverManager.registerDriver(new oracle.jdbc.OracleDriver());
      conn = DriverManager.getConnection(
               "jdbc:oracle:thin:@noizmaker:1521:osiris",
               "david", "bigcat");
      isLocal = true;
      getArea(testval);   
    }
    catch(SQLException e)
    {
      System.out.println("Caught " + e);
    }
  }

  public static double getArea(String label)
  {
    double area = 0;
    ResultSet rs = null;
    Statement stmt = null;
    
    try
    {
      if(conn==null)
      {
        conn = DriverManager.getConnection("jdbc:default:connection:");
      }
      stmt = conn.createStatement();
      String sql = "SELECT " +
                   "LINE_TYPE(T.TRIANGLE.PT_A,T.TRIANGLE.PT_B).GETLENGTH(), " +
                   "LINE_TYPE(T.TRIANGLE.PT_B,T.TRIANGLE.PT_C).GETLENGTH(), " +
                   "LINE_TYPE(T.TRIANGLE.PT_C,T.TRIANGLE.PT_A).GETLENGTH() " +
                   "FROM TRIANGLES T WHERE LABEL ='" +
                   label +"'";

      rs = stmt.executeQuery(sql);
      double a, b, c;
      if(rs.next())
      {
        a = rs.getDouble(1);
        b = rs.getDouble(2);
        c = rs.getDouble(3);
       
        /* Calculate area using Heron's  formula */
        double s = (a + b +c)/2; // perimeter/2
        area = Math.sqrt(s * (s - a) * (s - b) * (s - c));       
      }
      rs.close();
      stmt.close();
      if(isLocal)
      {
        conn.close();
      }
    }
    catch(SQLException e)
    {
       System.out.println("Caught " + e);     
    }
    
    return area;
  }


}
/*
javac Triangle.java
loadjava -v -u tritest/tritest Triangle.class
*/



/* 
SQL> CREATE OR REPLACE FUNCTION FTEST
  2  RETURN NUMBER
  3  AS LANGUAGE JAVA
  4  NAME 'MyShapes.getNum() return double';
  5  /

Function created.
*/

