// TestConnection.java  Load JDBC and connect to database

import java.sql.*;
import java.io.*;

// import oracle.jdbc.driver.*;

public class CallableExample {

public static void main(String [] vars)
{
  Connection conn;
  try
  {
DriverManager.registerDriver(new
  oracle.jdbc.OracleDriver());

// The following needs to be edited with
// your database specifics:
	conn = DriverManager.getConnection(
  "jdbc:oracle:thin:@noizmaker:1521:osiris",
        "david", "bigcat");

  CallableStatement cs = conn.prepareCall(
      "{call GET_FIRST_NAME(?, ?, ?)}");
  cs.setString(1, "Smith");
  cs.registerOutParameter(2, Types.CHAR);
  cs.registerOutParameter(3, Types.INTEGER);
  cs.execute();
  int count = cs.getInt(3);
  System.out.println("Count: " + count);
  String name=null;
  if(count==1)
  {
    name = cs.getString(2);
  }
  System.out.println("name: " + name);  
  cs.close();

  cs=conn.prepareCall("{? = call SOUNDEX(?)}");
  cs.registerOutParameter(1, Types.CHAR);
  cs.setString(2,"HELLO");
  cs.execute();
  String soundex=cs.getString(1);
  System.out.println("Soundex=" + soundex);
  cs.close();

  conn.close();
 }
 catch (SQLException e)
 {
   System.out.println("Caught: " + e);
   System.exit(1);
 }
}
}
