// Escape utility

public class EscSingleQuote {

  public static String escSingleQuote(String sql)
  {
    int start= 0;
    int end = sql.indexOf('\'');
    if(end<0)
    {
       return sql; // short-circuit
    }
    StringBuffer sb = new StringBuffer();
    while(end>=0)
    {
      sb.append(sql.substring(start,end));
      sb.append('\'');
      start = end;
      end = sql.indexOf("'", start + 1);
    }
    sb.append(sql.substring(start,sql.length()));
    return sb.toString();
  } 

  public static void main(String [] args)
  {
    String s = "Here's Johnny!";
    System.out.println("Before: " + s);
    System.out.println(" After: " + escSingleQuote(s));
  }
}
