// Molecule.java - uses Element
import java.sql.*;

public class Molecule {

  public static void main(String [] args)
  {
    try
    {
     Element.createElement(
        1, "H", "Hydrogen", 1.008F);

      Element.createElement(
        8, "O", "Oxygen", 15.999F);
        
      Element hydrogen = Element.getElement("H");
      Element oxygen   = Element.getElement("O");

      System.out.println("Elem: " + oxygen.getName());
      System.out.println("  Neutrons (avg): " 
         + oxygen.getNeutrons());      
      System.out.println("Elem: " + hydrogen.getName());
      System.out.println("  Neutrons (avg): "
         + hydrogen.getNeutrons());      
    }
    catch (SQLException e)
    {
      System.out.println("Caught: " + e);
    }
  }
}

