// package CDApp;
import java.io.*;
import java.util.*;
import javax.servlet.*;
import javax.servlet.http.*;

public class ResultsPageController extends HttpController {

  private static final String jspPageName = "/MusicSearch.jsp";
  private static final String artistParamName = "ARTISTNAME";  
  private static final String titleParamName  = "CDTITLE";
  
  public void dispatch(HttpServletRequest request,
                       HttpServletResponse response,
                       ServletContext servletContext)
   throws ServletException, IOException
  {
    String artistName = request.getParameter(artistParamName);
    String cdTitle    = request.getParameter(titleParamName);
    MusicResults results = new MusicResults(artistName, cdTitle);
		request.setAttribute("MusicResults", results);
    RequestDispatcher dispatcher =
        servletContext.getRequestDispatcher(jspPageName);
    dispatcher.forward(request, response);
  }
}
