package Samplemypackage8;
import java.util.Hashtable;
import javax.naming.Context;
import javax.naming.InitialContext;
import mypackage8.UserInfo;
import mypackage8.UserInfoHome;
import java.rmi.RemoteException;

public class UserInfoClient 
{
  public static void main(String [] args)
  {
    UserInfoClient userInfoClient = new UserInfoClient();
    try
    {
      Hashtable env = new Hashtable();
      env.put(Context.INITIAL_CONTEXT_FACTORY, "com.evermind.server.rmi.RMIInitialContextFactory");
      env.put(Context.SECURITY_PRINCIPAL, "admin");
      env.put(Context.SECURITY_CREDENTIALS, "welcome");
      env.put(Context.PROVIDER_URL, "ormi://localhost:23893/current-workspace-app");
      Context ctx = new InitialContext(env);
      UserInfoHome userInfoHome = (UserInfoHome)ctx.lookup("UserInfo");
      UserInfo userInfo = null;
      // Locate or create EJB
      String email="me@home.com";
      try
      {
        userInfo = userInfoHome.findByPrimaryKey(email);
      }
      catch (RemoteException e)
      {
        System.out.println("Bean not found: " + e);
      }

      if(userInfo==null)
      {
        try
        {
          userInfo = userInfoHome.create(email, "me", "kitty"  );
        }
        catch (Exception e)
        {
            System.out.println("Caught: " +e);
            System.exit(1);
        }
      }        
      
      // Access EJB attributes
    System.out.println(userInfo.getHello());
      
      System.out.println(userInfo.getUsername(  ));
      System.out.println(userInfo.getEmail(  ));
      System.out.println(userInfo.getPassword(  ));
      System.out.println(userInfo.getMemberSince(  ));

      // Change EJB attributes
      userInfo.setUsername("newusername");
      userInfo.setPassword("newpassword");

    }
    catch(Exception e)
    {
      System.out.println("Caught: " + e);
    }

  }
}