DROP TABLE ANTIQUE_CARS;
CREATE TABLE ANTIQUE_CARS(
	MODEL	VARCHAR2(12),
	MAKE	VARCHAR2(12));

INSERT INTO ANTIQUE_CARS VALUES('Terraplane','Hudson');
INSERT INTO ANTIQUE_CARS VALUES('Firedome','DeSoto');
INSERT INTO ANTIQUE_CARS VALUES('Bearcat','Stutz');


DROP TABLE MODERN_CARS;
CREATE TABLE MODERN_CARS(
	MODEL	VARCHAR2(12),
	MAKE	VARCHAR2(12));

INSERT INTO MODERN_CARS VALUES('Mustang','Ford');
INSERT INTO MODERN_CARS VALUES('Corvette','Chevrolet');
INSERT INTO MODERN_CARS VALUES('Cherokee','Jeep');

DROP TABLE SPORTS_CARS;
CREATE TABLE SPORTS_CARS(
	MODEL	VARCHAR2(12),
	MAKE	VARCHAR2(12));

INSERT INTO SPORTS_CARS VALUES('Bearcat','Stutz');
INSERT INTO SPORTS_CARS VALUES('Corvette','Chevrolet');
INSERT INTO SPORTS_CARS VALUES('Viper','Dodge');


DROP TABLE CAR_CLUB;
CREATE TABLE CAR_CLUB(
	OWNER	VARCHAR2(12),
	MODEL	VARCHAR2(12));

INSERT INTO CAR_CLUB VALUES('Bob','Terraplane');
INSERT INTO CAR_CLUB VALUES('Sally','Corvette');
INSERT INTO CAR_CLUB VALUES('Lou','Bearcat');
INSERT INTO CAR_CLUB VALUES('Jane','Mustang');

DROP TABLE CAR_SIGHTINGS;
CREATE TABLE CAR_SIGHTINGS(
	MAKE	VARCHAR2(12),
	COMPANY VARCHAR2(20));

INSERT INTO CAR_SIGHTINGS VALUES('Hudson','Acme Lumber');
INSERT INTO CAR_SIGHTINGS VALUES('Studebaker','Central Market');
INSERT INTO CAR_SIGHTINGS VALUES('Edsel','Cup O'' Java');
INSERT INTO CAR_SIGHTINGS VALUES('Stutz','Ace Insurance');

DROP TABLE AUTO_PRODUCTS;
CREATE TABLE AUTO_PRODUCTS(
	ITEM_NO		VARCHAR2(12),
	DESCRIPTION 	VARCHAR2(20),
	VENDOR		VARCHAR2(12));

INSERT INTO AUTO_PRODUCTS VALUES('RB195','Bow tie workout bag','Chevrolet');
INSERT INTO AUTO_PRODUCTS VALUES('A1504122','Aladdin travel mug','Dodge');
INSERT INTO AUTO_PRODUCTS VALUES('ENA55','Radio flashlight','Jeep');

COMMIT;
