-- Create tables and data for process_orders procedure
DROP TABLE ORDERS;

CREATE TABLE ORDERS (
  ORDER_ID NUMBER,
  CUSTOMER_ID NUMBER,
  ITEM_NUM NUMBER,
  QUANTITY NUMBER,
  PRICE NUMBER,
  STATUS VARCHAR2(12)
);

DROP TABLE CUSTOMER_CREDITS;
CREATE TABLE CUSTOMER_CREDITS (
  CUSTOMER_ID NUMBER,
  CREDIT NUMBER
);

DROP TABLE EXCEPTIONS;
CREATE TABLE EXCEPTIONS (
  ORDER_ID NUMBER,
  CUSTOMER_ID NUMBER,
  EXCEPTION_NUMBER NUMBER,
  EXCEPTION_MESSAGE VARCHAR2(200)
);

INSERT INTO ORDERS VALUES(100, 25, 23001,   1,  3.25, 'PENDING');
INSERT INTO ORDERS VALUES(100, 25, 67023,   5,  4.95, 'PENDING');
INSERT INTO ORDERS VALUES(100, 25, 33320,   1, 18.00, 'PENDING');
INSERT INTO ORDERS VALUES(100, 25, 23102,  10,  9.95, 'PENDING');

INSERT INTO CUSTOMER_CREDITS VALUES(25, 100);

COMMIT;

