CREATE TABLE TANGENTS (
  DEGREES NUMBER,
  TANGENT NUMBER);

BEGIN
  DELETE TANGENTS;
  FOR V_DEGREES IN 0..359 LOOP
    BEGIN      
      INSERT INTO TANGENTS (DEGREES, TANGENT)
        VALUES (V_DEGREES,TAN(V_DEGREES*ACOS(0)/90));
    EXCEPTION
        WHEN OTHERS THEN
          IF(SQLCODE=-1426) THEN
            INSERT INTO TANGENTS (DEGREES, TANGENT)
              VALUES (V_DEGREES, NULL);
            DBMS_OUTPUT.PUT_LINE(SQLERRM);
            DBMS_OUTPUT.PUT_LINE(SQLCODE);            
          ELSE
            RAISE;
          END IF;
    END;
  END LOOP;
  COMMIT;
END;
/