// TestConnection.java  Load JDBC and connect to database

import java.sql.*;
import java.io.*;

// import oracle.jdbc.driver.*;

public class MetaDataExample {

public static void main(String [] vars)
{
  Connection conn;
  try
  {
DriverManager.registerDriver(new
  oracle.jdbc.OracleDriver());

// The following needs to be edited with
// your database specifics:
	conn = DriverManager.getConnection(
  "jdbc:oracle:thin:@noizmaker:1521:osiris",
        "scott", "tiger");
  System.out.println(conn);

  PreparedStatement ps = conn.prepareStatement("SELECT * FROM EMP");
  ResultSet rs = ps.executeQuery();
  ResultSetMetaData rmd = rs.getMetaData();
  
  System.out.println("Tablename: " + rmd.getTableName(1));
  System.out.println();
  int count = rmd.getColumnCount();
  for(int i=1; i<=count; i++)
  {

    System.out.println("Name: " + rmd.getColumnLabel(i)  +
                        "  Type: " + rmd.getColumnTypeName(i));
    
  }

  
  conn.close();
 }
 catch (SQLException e)
 {
   System.out.println("Caught: " + e);
   System.exit(1);
 }
}
}
