import java.sql.*;

public class Sensitive {

public static void main(String [] vars)
{
 Connection conn;
 String sql;
  try
  {
	   DriverManager.registerDriver(new oracle.jdbc.OracleDriver());
	   conn = DriverManager.getConnection(
                          /* "jdbc:oracle:oci:@osiris", */
                          "jdbc:oracle:thin:@noizmaker:1521:osiris",
                          "david", "bigcat");

     Statement stmtWrite = conn.createStatement();
     Statement stmtInsensitive = conn.createStatement(
                                   ResultSet.TYPE_SCROLL_INSENSITIVE,
                                   ResultSet.CONCUR_READ_ONLY); 
     Statement stmtSensitive = conn.createStatement(
                                  ResultSet.TYPE_SCROLL_SENSITIVE,
                                  ResultSet.CONCUR_READ_ONLY);

    stmtSensitive.setFetchDirection(ResultSet.FETCH_REVERSE);
    System.out.println(stmtSensitive.getFetchSize());    
     // Create and populate a table
     try
     {
       stmtWrite.executeUpdate("DROP TABLE TEST");
     }
     catch (SQLException e)
     {
       // ignore; it's probably just because the table doesn't exist yet
     }
     stmtWrite.executeUpdate("CREATE TABLE TEST (COL1 NUMBER)");
     for(int i=0; i<20; i++)
     {
       sql = "INSERT INTO TEST VALUES( " + i +")";
       stmtWrite.executeUpdate(sql);
     }
     
     // get sensitive and insensitive ResultSets -- NOTE CANNOT USE SELECT *
     sql = "SELECT T.* FROM TEST T";
     ResultSet rsInsensitive = stmtInsensitive.executeQuery(sql);
     ResultSet rsSensitive = stmtSensitive.executeQuery(sql);                                 

     
     // change table
     sql = "UPDATE TEST SET COL1 = COL1 * 10";
     stmtWrite.executeUpdate(sql);
  
    // Now see result sets
    System.out.println("Insensitive Sensitive");

     while(rsInsensitive.next()&&rsSensitive.next())
     {
       boolean refreshed = false;
       if (refreshed==false)
       {
         rsSensitive.refreshRow();
         refreshed = true;
       }
       System.out.print(rsInsensitive.getString(1)+"           ");
       System.out.println(rsSensitive.getString(1));
     }
     rsSensitive.close();
     rsInsensitive.close();
     stmtWrite.close();
     stmtInsensitive.close();
     stmtSensitive.close();
     conn.close(); 
  }
  catch (SQLException e)
  {
    System.out.println("Caught:" + e);
  }
}
}
