package Samplemypackage3;
import java.util.Hashtable;
import javax.naming.Context;
import javax.naming.InitialContext;
import mypackage3.CDInfo;
import mypackage3.CDInfoHome;
import mypackage3.CDInfoModel;
import mypackage3.CDSong;
import java.util.Vector;
import java.lang.Integer;

public class CDInfoClient2 
{
  public static void main(String [] args)
  {
    CDInfoClient2 cDInfoClient2 = new CDInfoClient2();
    try
    {
      Hashtable env = new Hashtable();
      env.put(Context.INITIAL_CONTEXT_FACTORY, "com.evermind.server.rmi.RMIInitialContextFactory");
      env.put(Context.SECURITY_PRINCIPAL, "admin");
      env.put(Context.SECURITY_CREDENTIALS, "adminpwd");
      env.put(Context.PROVIDER_URL, "ormi://noizmaker/CDInfo");
      Context ctx = new InitialContext(env);
      CDInfoHome cDInfoHome = (CDInfoHome)ctx.lookup("CDInfo");
      CDInfo cDInfo;

      // Use one of the create() methods below to create a new instance
      cDInfo = cDInfoHome.create(  );

      // Call any of the Remote methods below to access the EJB
      CDInfoModel cdInfo = cDInfo.getCDInfoModel(107L );

      // Get information from CDInfoModel
      System.out.println(cdInfo.getArtistName());
      System.out.println(cdInfo.getTitle());
      System.out.print(cdInfo.getLabel() + ", ");
      System.out.println(cdInfo.getReleaseDate());      
      Vector songs = cdInfo.getSongs();
      for(int i=0; i < songs.size(); i++)
      {
        CDSong song = (CDSong) songs.elementAt(i);
        System.out.println("  " + (i + 1)  + ". " + song.getTitle() +
                             ", " + song.getComposer() + " - " +
                             formatTime(song.getLength())
                           );
      }
    }
    catch(Exception e)
    {
      System.out.println(e);
    }

  }

  public static String formatTime(int time)
  {
    int min = time/60;
    int sec = time - (min*60);
    return Integer.toString(min) + ":" + Integer.toString(sec);
  }
}