package Samplemypackage8;
import java.util.Hashtable;
import javax.naming.Context;
import javax.naming.InitialContext;
import mypackage8.UserInfo;
import mypackage8.UserInfoHome;
import javax.ejb.FinderException;
import javax.ejb.CreateException;
import java.rmi.RemoteException;

public class UserInfoClient2 
{
  public static void main(String [] args)
  {
    UserInfoClient2 userInfoClient2 = new UserInfoClient2();
    try
    {
      Hashtable env = new Hashtable();
      env.put(Context.INITIAL_CONTEXT_FACTORY, "com.evermind.server.rmi.RMIInitialContextFactory");
      env.put(Context.SECURITY_PRINCIPAL, "admin");
      env.put(Context.SECURITY_CREDENTIALS, "adminpwd");
      env.put(Context.PROVIDER_URL, "ormi://noizmaker/UserInfo");
      Context ctx = new InitialContext(env);
      UserInfoHome userInfoHome = (UserInfoHome)ctx.lookup("UserInfo");

      // Locate or create EJB
      String email="me@home.com";
      UserInfo userInfo = null;
      try
      {
        userInfo = userInfoHome.findByPrimaryKey(email);
      }
      catch (FinderException e)
      {
        System.out.println("Bean not found: " + e);
      }

      if(userInfo==null)
      {
        try
        {
          userInfo = userInfoHome.create(email, "me", "kitty"  );
        }
        catch (Exception e)
        {
            System.out.println("Caught: " +e);
            System.exit(1);
        }
        System.out.println("Created new bean:");
      }    
      else
      {
        System.out.println("Bean already exists:");
      }
      // Access EJB attributes
      String username;
      System.out.println(" username: " + (username = userInfo.getUsername()));
      System.out.println(" email: " + userInfo.getEmail(  ));
      System.out.println(" password: " + userInfo.getPassword(  ));
      System.out.println(" member since: " + userInfo.getMemberSince(  ));

      if(username.equals("delete me"))
      {
          // Remove EJB
          userInfo.remove();
          System.out.println("Bean removed");
      }
      else
      {
          // Change EJB attributes
          userInfo.setUsername("delete me");
          userInfo.setPassword("newpassword");
          System.out.println("Bean altered");
       }
    }     
    catch(Throwable ex)
    {
      ex.printStackTrace();
    }
  }  
}