// Photo
package example;

import java.util.Vector;

public class Photo
{
  
  private String title;
  private Vector subjects;
  private String description;
  private String ucDescription;
  private String notes;
  private PhotoSession photoSession;

  // getter methods  
  public String getTitle()
  {
    return title;
  }
  
  public Vector getSubjects()
  {
    return subjects;
  }
  
  public String getUcDescription()
  {
     return ucDescription;
  }
  
  public String getDescription()
  {
     return description;
  }

  public String getNotes()
  {
    return notes;
  }

  public PhotoSession getPhotoSession()
  {
    return photoSession;
  }
  
  // setter methods
  public void setTitle(String title)
  {
    this.title = title;
  }
  
  public void setSubjects(Vector subjects)
  {
    this.subjects = subjects;
  }
  
  public void setDescription(String description)
  {
     this.description = description;
     ucDescription = description.toUpperCase();
  }
  
  public void setNotes(String notes)
  {
    this.notes = notes;
  }
  
  public void setPhotoSession(PhotoSession photoSession)
  {
    this.photoSession = photoSession;
  }
}
